Kerbal Space Program - Bug #3898

Can’'t do anything after | exit Astronaut complex
12/25/2014 10:04 AM - TTudor

Status: Closed Start date: 12/25/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

So everything is normal until | enter and exit the Astronaut Complex.

What | mean by this is:

- | can't select buildings

- | can't enter buildings

- | can't upgrade buildings

- | can't open the escape menu (anything i press doesn't do anything except windows key, alt+f4, alt+tab, ctrl+alt+del)

| tried:

-changing graphics

-recruiting a astronaut using the launch pad

-minimizing game/ changing to window mode

That didn't work. | loaded a previously saved game and the bug disappeared so a mission or something triggered it.

build id = 00705
2014-12-15_13-42-05
Branch: master

Specs and screenshots attached. The screenshots are in chronological order. | show how | can highlight a building, go in the
astronaut complex, | don't do anything then after | exit, | can't highlight anything.
| CAN HOWEVER MOVE THE CAMERA WITH THE MOUSE.

History

#1 - 12/25/2014 02:11 PM - barnaba

Although the way OP gets to 'everything broken' state of the game is different for me, the actual state of not being able to select any building but
being able to move camera is exactly the same, so it might be somehow be connected to my (Linux) bug:
http://bugs.kerbalspaceprogram.com/issues/3896

#2 - 12/26/2014 11:45 AM - Grogdor
Are you running 32 or 64-bit KSP?

#3 - 12/26/2014 05:19 PM - TTudor

Usually I'm running 32, | tried running 64 but it doesn't help. | managed to add kerbals by editing the save files xD but it isn't a good solution to the
problem.

#4 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#5 - 07/17/2016 09:31 AM - TriggerAu

- Status changed from New to Needs Clarification

#6 - 08/09/2016 11:30 AM - TriggerAu

- Status changed from Needs Clarification to Closed
http://bugs.kerbalspaceprogram.com/issues/3896

- % Done changed from 0 to 100

Closing this report out for now. If you find it is still occuring in the latest version of KSP please open a new report (and this one can be linked to it.) For

best results, the wiki contains really useful info for when creating a report http:/bugs.kerbalspaceprogram.com/projects/ksp/wiki.

You can also ask questions about the bug cleanup in the forum here:

http://forum.kerbalspaceprogram.com/index.php?/topic/143980-time-to-clean-up-the-bug-tracker/ and tag @TriggerAu to get my attention
